<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scriptRunning](./bitburner.ns.scriptrunning.md)

## NS.scriptRunning() method

Check if any script with a filename is running.

**Signature:**

```typescript
scriptRunning(script: string, host: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  script | string | Filename of script to check. This is case-sensitive. |
|  host | string | Hostname/IP of target server. |

**Returns:**

boolean

True if the specified script is running, and false otherwise.

## Remarks

RAM cost: 1 GB

Returns a boolean indicating whether any instance of the specified script is running on the target server, regardless of its arguments.

This is different than the [isRunning](./bitburner.ns.isrunning.md) function because it does not try to identify a specific instance of a running script by its arguments.

## Example


```js
//The function call will return true if there is any script named foo.js running on the foodnstuff server, and false otherwise:
ns.scriptRunning("foo.js", "foodnstuff");

//The function call will return true if there is any script named “foo.js” running on the current server, and false otherwise:
ns.scriptRunning("foo.js", ns.getHostname());
```

